GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::IGtFunction Class Reference
Control Flow Inspection

Class that represents a function in the Control Flow Graph. More...

`#include <igt_cfg.h>`

## Public Member Functions
virtual FunctionId | Id () const =0
| Return unique identifier of this function.
virtual GtCoreString | Name () const =0
| Return name of the function.
virtual uint32_t | Size () const =0
| Return code size of the function in bytes.
virtual bool | IsKernelMain () const =0
| Return true for the kernel's main function.
virtual ElfSectionId | SectionId () const =0
| Return identifier of the ELF section, this function belongs to.
virtual ImgOffset | OffsetInSection () const =0
| Return offset of the function within the ELF section.
virtual BblSpan | Bbls () const =0
| Return sequence of basic blocks in the fallthrough order.

## Detailed Description

Class that represents a function in the Control Flow Graph.

Availability:
  - IGtTool::OnKernelBuild

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT